%global zikula_base         %{_datadir}/zikula
%global zikula_moddir       %{zikula_base}/modules
%global zikula_modname      scribite

Name:           zikula-module-%{zikula_modname}
Version:        3.2
Release:        3%{?dist}
Summary:        Integration of several JavaScript text editors with Zikula

Group:          Applications/Publishing
License:        GPLv2+
# Use top-level URL from Zikula site for the module
URL:            http://code.zikula.org/scribite/downloads/
# http://code.zikula.org/scribite/downloads/24
Source0:        %{zikula_modname}_3_2_basic.zip
BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)
BuildArch:      noarch
#BuildRequires:  
Requires:       zikula

%description
scribite! is a module for easy integration of WYSIWYG scripts, TinyMCE,
FCKeditor, openWYSIWYG, NicEdit or YUI Rich Text Editor into textarea fields in
order to make text editing a little bit nicer and more comfortable for users.


%prep
%setup -qn modules/%{zikula_modname}
# Remove empty index.html and others
find -size 0 | xargs rm -f

# Remove CC-licensed pieces
#rm -rf javascript/scribite_editors/xinha/skins/titan
#rm -rf javascript/scribite_editors/xinha/skins/inditreuse
#rm -rf javascript/scribite_editors/xinha/iconsets/Tango

%build
#Fixing wrong-file-end-of-line-encoding error
cd pndocs
sed -i 's/\r//' Snoopy_gpl_license.txt
sed -i 's/\r//' changelog.txt
sed -i 's/\r//' tinymce_lgpl_license.txt
sed -i 's/\r//' openwysiwyg_license.txt
sed -i 's/\r//' fckeditor_license.txt

%install
rm -rf $RPM_BUILD_ROOT
%{__mkdir} -p $RPM_BUILD_ROOT/%{zikula_moddir}/%{zikula_modname} 
cp -pr . $RPM_BUILD_ROOT/%{zikula_moddir}/%{zikula_modname}
rm -rf $RPM_BUILD_ROOT/%{zikula_moddir}/%{zikula_modname}/pndocs


%clean
rm -rf $RPM_BUILD_ROOT


%files
%defattr(-,root,root,-)
%doc pndocs/changelog.txt pndocs/fckeditor_license.txt pndocs/license.txt pndocs/nicedit_license.txt pndocs/openwysiwyg_license.txt pndocs/scribite!-dev-deu.odt pndocs/scribite!-dev-deu.pdf pndocs/scribite!-dev-eng.odt pndocs/scribite!-dev-eng.pdf pndocs/scribite!-dev-fra.odt pndocs/scribite!-dev-fra.pdf pndocs/scribite!-documentation-deu.odt pndocs/scribite!-documentation-deu.pdf pndocs/scribite!-documentation-eng.odt pndocs/scribite!-documentation-eng.pdf pndocs/scribite!-documentation-fra.odt pndocs/scribite!-documentation-fra.pdf pndocs/Snoopy_gpl_license.txt pndocs/tinymce_lgpl_license.txt pndocs/todo.txt pndocs/xinha_htmlarea_license.txt

%{zikula_moddir}/%{zikula_modname}


%changelog
* Wed Jul 22 2009 Eric "Sparks" Christensen <sparks@fedoraproject.org> - 3.2-3
- Updated source with new version of scribite!.

* Wed Jul 22 2009 Eric "Sparks" Christensen <sparks@fedoraproject.org> - 3.2-2
- Updated SPEC to remove non-GPL skins and icons.
- Fixed wrong-file-end-of-line-encoding errors in SPEC.

* Tue Jun 23 2009 Eric "Sparks" Christensen <sparks@fedoraproject.org> - 3.2-1
- Updated package to remove non-GPL code.

* Mon Jun 15 2009 Eric "Sparks" Christensen <sparks@fedoraproject.org> - 3.1-1
- Initial RPM build
